Bug 484379 - Review Request: hartke-aurulent-sans-fonts - A sans-serif font
Review Request: hartke-aurulent-sans-fonts - A sans-serif font
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Lange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 09:57 EST by Paul Lange
Modified: 2009-02-14 13:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-14 13:24:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Lange 2009-02-06 09:57:28 EST
Spec URL: http://palango.fedorapeople.org/aurulent/hartke-aurulent-sans-fonts.spec
SRPM URL: http://palango.fedorapeople.org/aurulent/hartke-aurulent-sans-fonts-20070504-1.fc10.src.rpm
Description: Aurulent Sans is a sans-serif font developed for use as the primary interface font on X Windows on GNU/Linux. It includes the latin alphabet, digits, and punctuation, as well as some accents. It is created by Stephen G. Hartke.
Comment 1 Nicolas Mailhot 2009-02-11 16:45:18 EST
1. This bit is not strictly necessary
# Repeat for every font family -- Sans Mono

2. This one isn't either now that multiple ownership of font dirs was approved; %_font_pkg will now auto-own this dir
%dir %{_fontdir}

3. having upstream publish an official sfd version and build from it would be preferred (not a blocker)

4. You need to add a
Requires:       %{name}-common = %{version}-%{release} to the main package or it won't pull common in (and it's necessary for fontconfig-filesystem)

The last one is the only real problem and it's a minor one

✎✎✎ APPROVED ✎✎✎

Please do not forget to fix those little problems, and continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
Comment 2 Paul Lange 2009-02-12 10:18:15 EST
New Package CVS Request
=======================
Package Name: hartke-aurulent-fonts
Short Description: A sans-serif font for use as primary interface font
Owners: palango
Branches: devel only
InitialCC: fonts-sig
Comment 3 Kevin Fenzi 2009-02-13 01:36:03 EST
cvs done.
Comment 4 Paul Lange 2009-02-13 11:05:59 EST
Package Change Request
======================
Package Name: hartke-aurulent-fonts (change to hartke-aurulent-sans-fonts)
New Branches: none
Owners: palango

I did a mistake with the package name when filling it into the Request. Sorry for that!
Could you please rename the package to hartke-aurulent-sans-fonts . 
Thank you very much and sorry for the circumstances.
Comment 5 Toshio Ernie Kuratomi 2009-02-13 20:30:11 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.